Debian Bug report logs - #521280
ibm/hkey thinkpad-acpi events are not delivered to acpid on 2.6.29 and later kernels

version graph

Package: acpid; Maintainer for acpid is Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>; Source for acpid is src:acpid.

Reported by: Bjørn Mork <bjorn@mork.no>

Date: Thu, 26 Mar 2009 12:24:01 UTC

Severity: important

Tags: patch, upstream, wontfix

Fixed in version acpid/1.0.10-3

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521279; Package linux-2.6. (Thu, 26 Mar 2009 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 26 Mar 2009 12:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: bluetooth on/off button stopped working on Lenovo Thinkpad
Date: Thu, 26 Mar 2009 13:21:51 +0100
Package: linux-2.6
Version: 2.6.29-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The button switching bluetooth on/off on Lenovo Thinkpad stopped working 
after upgrading from 2.6.28-1-amd64 to 2.6.29-1-amd64.

According to Henrique de Moraes Holschuh (thinkpad_acpi maintainer), 
this is because CONFIG_ACPI_PROC_EVENT is disabled.  Quoting from a
discussion on the linux-thinkpad list:

- ---
On Wed, 25 Mar 2009, Bjørn Mork wrote:
> config thing.  I noticed that Debian now has disabled
> CONFIG_ACPI_PROC_EVENT.  Could this be related?

Yes.  Without CONFIG_ACPI_PROC_EVENT you will get hotkey events *ONLY*
through the thinkpad-acpi input device.

It has been that way for more than one year, now.  It is warned everywhere
in the driver, there is even a backwards compatibility strategy in place,
which won't help you because acpid never got fixed to deal with netlink
events.
- ---

(ref http://permalink.gmane.org/gmane.linux.hardware.thinkpad/38534 )

I do use the latest and greatest acpid:

bjorn@nemi:~$ apt-cache policy acpid
acpid:
  Installed: 1.0.8-6
  Candidate: 1.0.8-6
  Version table:
 *** 1.0.8-6 0
        600 http://ftp.no.debian.org sid/main Packages
        100 /var/lib/dpkg/status
     1.0.8-1 0
        700 http://ftp.no.debian.org lenny/main Packages

I believe acpid have to be fixed before CONFIG_ACPI_PROC_EVENT can be
disabled.  Please enable it again for the next release.


Bjørn


- -- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (700, 'stable'), (600, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknLc1wACgkQ10rqkowbIskG+wCdGQbonRa+7SrMuWqoQGTONGf8
WAIAoIFysrZPzid27nBy0NagHrn0KVMO
=uXTk
-----END PGP SIGNATURE-----




Bug 521279 cloned as bug 521280. Request was from Bjørn Mork <bjorn@mork.no> to control@bugs.debian.org. (Thu, 26 Mar 2009 12:36:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `linux-2.6' to `acpid'. Request was from Bjørn Mork <bjorn@mork.no> to control@bugs.debian.org. (Thu, 26 Mar 2009 12:36:06 GMT) Full text and rfc822 format available.

Changed Bug title to `acpid: netlink support is not fully replacing /proc/acpi/event' from `linux-2.6: bluetooth on/off button stopped working on Lenovo Thinkpad'. Request was from Bjørn Mork <bjorn@mork.no> to control@bugs.debian.org. (Thu, 26 Mar 2009 12:36:06 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Bjørn Mork <bjorn@mork.no> to control@bugs.debian.org. (Thu, 26 Mar 2009 12:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 26 Mar 2009 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 26 Mar 2009 12:48:05 GMT) Full text and rfc822 format available.

Message #18 received at 521280@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: 521280@bugs.debian.org
Subject: Non-functional bluetooth button without CONFIG_ACPI_PROC_EVENT
Date: Thu, 26 Mar 2009 13:46:24 +0100
I have a Lenovo Thinkpad on which the kernel driver thinkpad_acpi is
supporting special keys like Fn+F3 => sleep etc.  Fn+F5 is supposed to
be bluetooth on/off and is handled in a special way: It's only
supported through the event interface, not as a key press. 

This used to work fine with acpid, but is failing after installing
linux-image-2.6.29-1-amd64, in which CONFIG_ACPI_PROC_EVENT is disabled.

I run acpid like this (-n added after upgrading to 2.6.29 kernel):

 /usr/sbin/acpid -l -n

and have a log any event script enabled:

 bjorn@nemi:~$ cat /etc/acpi/events/any 
 event=.*
 action=/etc/acpi/logit.sh %e

 bjorn@nemi:~$ cat /etc/acpi/logit.sh 
 #!/bin/sh
 echo `date`: $* >>/var/log/acpi-log


Still, there is nothing printed in /var/log/acpi-log when pushing Fn+F5


Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 26 Mar 2009 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 26 Mar 2009 15:48:05 GMT) Full text and rfc822 format available.

Message #23 received at 521280@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: 521279@bugs.debian.org, 521280@bugs.debian.org
Subject: acpid does support netlink, so the problem only affects thinkpad-acpi
Date: Thu, 26 Mar 2009 12:44:32 -0300
Well, I just looked at the most up-to-date acpid, and it supports netlink.

Therefore, the issue is just that thinkpad-acpi wants you to get hotkeys
from the input layer since kernel 2.6.23, and now finally the borrowed time
is over in Debian installs, with the procfs event delivery being shut off.

What I wrote about a thinkpad-apci backwards compatibility mode was slightly
incorrect...  teaches me to trust memories over one year old about stuff I
never had to look back at, before writing something.  The non-hotkey events
go over netlink, yes.  But hotkeys go only over the input device, where they
belong, and there is no driver switch to mess with that.

This means that all configs that use acpid to process thinkpad-acpi hotkeys
will break, and need to be ported over to HAL or something else that binds
to input devices.

I think these bugs can be tagged "wontfix", and we just deal with it as the
usual perils of using "unstable" and "testing".  It is probably a good idea
to leave them open in the BTS for a while, in hopes that people will read
them before filing more bugs.

I don't think it affects any Debian standard config, but it will affect most
of the local configs by end-users.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Tags added: upstream, wontfix Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. (Thu, 26 Mar 2009 15:48:06 GMT) Full text and rfc822 format available.

Changed Bug title to `ibm/hkey thinkpad-acpi events are not delivered to acpid on 2.6.29 and later kernels' from `acpid: netlink support is not fully replacing /proc/acpi/event'. Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. (Thu, 26 Mar 2009 15:57:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Wed, 15 Apr 2009 16:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 15 Apr 2009 16:30:06 GMT) Full text and rfc822 format available.

Message #32 received at 521280@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 521280@bugs.debian.org
Cc: Henrique de Moraes Holschuh <hmh@debian.org>
Subject: how to make acpid react to hotkeys now?
Date: Wed, 15 Apr 2009 18:27:14 +0200
[Message part 1 (text/plain, inline)]
I've read all of the documentation on thinkpad-acpi and I think
I understand it; I also understand what it's trying to do and
acknowledge that it is progress.

However, no matter how hard I try, I cannot figure out how to make
my system react to Fn-FX keypresses on the Thinkpad X40.

I used to have Fn-F1 and Fn-F2 in use, and while the latter
generates an X event that gets translated into 0x0 "NoSymbol",
I cannot get any reaction (neither input nor netlink) from Fn-F1,
even after

  lapse:/sys/devices/platform/thinkpad_acpi# cat hotkey_all_mask > hotkey_mask

How am I supposed to react to these events nowadays?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Wed, 15 Apr 2009 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 15 Apr 2009 23:36:02 GMT) Full text and rfc822 format available.

Message #37 received at 521280@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: 521280@bugs.debian.org
Subject: Re: how to make acpid react to hotkeys now?
Date: Wed, 15 Apr 2009 20:32:41 -0300
On Wed, 15 Apr 2009, martin f krafft wrote:
> I've read all of the documentation on thinkpad-acpi and I think
> I understand it; I also understand what it's trying to do and
> acknowledge that it is progress.
> 
> However, no matter how hard I try, I cannot figure out how to make
> my system react to Fn-FX keypresses on the Thinkpad X40.
> 
> I used to have Fn-F1 and Fn-F2 in use, and while the latter
> generates an X event that gets translated into 0x0 "NoSymbol",
> I cannot get any reaction (neither input nor netlink) from Fn-F1,
> even after

You can use a HAL .fdi file to set a X-friendly keycode for the
thinkpad-acpi scan map positions 0x00 (fn+f1), 0x01 (fn+f2).

You can also use input-kbd from the input-tools package (but that thing
really reeks of a half-assed debug interface, since it can't even do proper
matching of input devices so you have to do a lot of shell dance to find out
the input device number you need from lsinput, first).

These ARE mapped to something by default, but probably X evdev still can't
handle keycodes above 255 (I understand the fix for that is more like
genetic therapy on the X server and protocols, than a brain surgery).

> How am I supposed to react to these events nowadays?

Well, the very best would be to improve the hal input event helper to make
it grow generic "hey, do this configurable thing when you get this
configurable input event" functionality, then use that.  I don't have time
to tack that in the near future :-(

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 16 Apr 2009 14:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 16 Apr 2009 14:48:07 GMT) Full text and rfc822 format available.

Message #42 received at 521280@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>, 521280@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Thu, 16 Apr 2009 16:41:00 +0200
[Message part 1 (text/plain, inline)]
On Wed, 15 Apr 2009 20:32:41 -0300, Henrique de Moraes Holschuh wrote:

> > However, no matter how hard I try, I cannot figure out how to make
> > my system react to Fn-FX keypresses on the Thinkpad X40.
> You can use a HAL .fdi file to set a X-friendly keycode for the
> thinkpad-acpi scan map positions 0x00 (fn+f1), 0x01 (fn+f2).

Here's what I'm doing, maybe it helps others:

#v+
gregoa@nerys:~$ cat /etc/hal/fdi/information/thinkpad-keymap.fdi
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- -->

<deviceinfo version="0.2">
  <device>
    <!-- These are buttons synthesized in the thinkpad-acpi kernel module -->
    <!-- http://people.freedesktop.org/~hughsient/quirk/quirk-keymap-modules-data.html#thinkpad -->
    <match key="input.product" string="ThinkPad Extra Buttons">
      <match key="/org/freedesktop/Hal/devices/computer:system.hardware.vendor" prefix="LENOVO">
        <!-- Fn+F6 -->
        <!-- KEY_FN_F6 0x1d7 -->
        <!-- KEY_F16 186 -->
        <append key="input.keymap.data" type="strlist">0x05:f16</append>
        <!-- Fn+F8 -->
        <!-- KEY_FN_F8 0x1d9 -->
        <!-- KEY_F18 188 -->
        <append key="input.keymap.data" type="strlist">0x07:f18</append>
        <!-- Fn+F9 -->
        <!-- KEY_FN_F9 0x1da -->
        <!-- KEY_F19 189 -->
        <append key="input.keymap.data" type="strlist">0x08:f19</append>
        <!-- Fn+F10 -->
        <!-- KEY_FN_F10 0x1db -->
        <!-- KEY_F20 190 -->
        <append key="input.keymap.data" type="strlist">0x09:f20</append>
        <!-- Fn+F11 -->
        <!-- KEY_FN_F11 0x1dc -->
        <!-- KEY_F21 191 -->
        <append key="input.keymap.data" type="strlist">0x0a:f21</append>
        <!-- Fn+Space -->
        <!-- KEY_ZOOM 0x174 -->
        <!-- KEY_PROG2 149 -->
        <append key="input.keymap.data" type="strlist">0x13:prog2</append>
        <!-- Volume Up button -->
        <!-- KEY_VOLUMEUP 115 -->
        <append key="input.keymap.data" type="strlist">0x14:volumeup</append>
        <!-- Volume Down button -->
        <!-- KEY_VOLUMEDOWN 114 -->
        <append key="input.keymap.data" type="strlist">0x15:volumedown</append>
        <!-- Mute button -->
        <!-- KEY_MUTE 113 -->
        <append key="input.keymap.data" type="strlist">0x16:mute</append>
        <!-- ThinkPad/ThinkVantage -->
        <!-- KEY_VENDOR 0x168 -->
        <!-- KEY_PROG1 148 -->
        <append key="input.keymap.data" type="strlist">0x17:prog1</append>
        <append key="info.capabilities" type="strlist">input.keymap</append>
      </match>
    </match>
  </device>
</deviceinfo>

#v-

The other Fn-FX keys work for me (except Fn-F1 but I forgot what I
did/not try about it).

In the above file the three volume-stanzas are probably useless; the
volume-key-events show up for me only after reinstalling
hotkey-setup, maybe there's another possibility, too.

Oh, and as per #504643 I've diverted "away"
/usr/share/hal/fdi/information/10freedesktop/30-keymap-module-thinkpad-acpi.fdi
before.

While we're here that's how I got back the scrolling ability for the
trackpoint (found somewhere on the intarwebs):

#v+

gregoa@nerys:~$ cat /etc/hal/fdi/policy/mouse-wheel.fdi 
<match key="info.product" string="TPPS/2 IBM TrackPoint">
 <merge key="input.x11_options.EmulateWheel" type="string">true</merge>
 <merge key="input.x11_options.EmulateWheelButton" type="string">2</merge>
 <merge key="input.x11_options.YAxisMapping" type="string">4 5</merge>
 <merge key="input.x11_options.XAxisMapping" type="string">6 7</merge>
 <merge key="input.x11_options.Emulate3Buttons" type="string">true</merge>
 <merge key="input.x11_options.EmulateWheelTimeout" type="string">200</merge>
</match>

#v-
 
> > How am I supposed to react to these events nowadays?
> Well, the very best would be to improve the hal input event helper to make
> it grow generic "hey, do this configurable thing when you get this
> configurable input event" functionality, then use that.  I don't have time
> to tack that in the near future :-(

I'm using xbindkeys at the moment, but something that's independent
from X and a specific user would indeed be nice. Unfortunately I
haven't found out yet if and how HAL can call events on keypresses
... 

Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Beatles
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 17 Apr 2009 04:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 17 Apr 2009 04:12:02 GMT) Full text and rfc822 format available.

Message #47 received at 521280@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 521280@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Fri, 17 Apr 2009 01:08:43 -0300
On Thu, 16 Apr 2009, gregor herrmann wrote:
> In the above file the three volume-stanzas are probably useless; the
> volume-key-events show up for me only after reinstalling
> hotkey-setup, maybe there's another possibility, too.

You should never mess with the volume keys on thinkpad-acpi (i.e. leave
them disabled on the hotkey mask as the driver tells you to by not
enabling them in the first place), *unless*:

1. Use the dock or port-replicator's line-out exclusively, and inserted a
dummy plug in the earphone jacket or did something else to shut down the
internal speakers.

or

2. Likes your volume ramp to be all screwed up.


Those volume keys are NOT for commanding AC97 mixers if they're getting
sent to thinkpad-acpi.  It is that simple.

Note that I didn't say anything about volume keysyms in X.org.  In Lenovo
thinkpad (except maybe the Z series) that lack the internal non-ac97
volume control (they just have mute control), the volume keys ARE just
hotkeys, but they do NOT go through thinkpad-acpi in the first place, they
go directly to the keyboard driver and X will get them.

> > > How am I supposed to react to these events nowadays?
> > Well, the very best would be to improve the hal input event helper to make
> > it grow generic "hey, do this configurable thing when you get this
> > configurable input event" functionality, then use that.  I don't have time
> > to tack that in the near future :-(
> 
> I'm using xbindkeys at the moment, but something that's independent
> from X and a specific user would indeed be nice. Unfortunately I
> haven't found out yet if and how HAL can call events on keypresses

You have to get the HAL source code, look at its input helper, and WRITE
the code to do it.  It just plain CANNOT do anything useful with input
events right now.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 17 Apr 2009 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 17 Apr 2009 12:39:03 GMT) Full text and rfc822 format available.

Message #52 received at 521280@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 521280@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Fri, 17 Apr 2009 14:37:13 +0200
[Message part 1 (text/plain, inline)]
On Fri, 17 Apr 2009 01:08:43 -0300, Henrique de Moraes Holschuh wrote:

> > In the above file the three volume-stanzas are probably useless; the
> > volume-key-events show up for me only after reinstalling
> > hotkey-setup, maybe there's another possibility, too.
> You should never mess with the volume keys on thinkpad-acpi 
[..]
> Those volume keys are NOT for commanding AC97 mixers if they're getting
> sent to thinkpad-acpi.  It is that simple.

Right, sorry for being unclear, I don't want to control the volume, I
just ...
 
> Note that I didn't say anything about volume keysyms in X.org.  

... want to get the keypresses in X, in order to be able to show 
an OSD message.

> In Lenovo
> thinkpad (except maybe the Z series) that lack the internal non-ac97
> volume control (they just have mute control), the volume keys ARE just
> hotkeys, but they do NOT go through thinkpad-acpi in the first place, they
> go directly to the keyboard driver and X will get them.

They didn't show up for me in xev output until I re-installed
hotkey-setup. I haven't found the time yet to find out what it
actually does and how this could be accomplished in other ways.
 
> > I'm using xbindkeys at the moment, but something that's independent
> > from X and a specific user would indeed be nice. Unfortunately I
> > haven't found out yet if and how HAL can call events on keypresses
> You have to get the HAL source code, look at its input helper, and WRITE
> the code to do it.  It just plain CANNOT do anything useful with input
> events right now.

Ok, then at least I haven't missed anything :)


Thanks for your detailed explanations!


Cheers,
gregor 
 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Rolling Stones: Bleed-live
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 20 Apr 2009 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 20 Apr 2009 18:51:08 GMT) Full text and rfc822 format available.

Message #57 received at 521280@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: gregor herrmann <gregoa@debian.org>, 521280@bugs.debian.org
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Mon, 20 Apr 2009 20:48:57 +0200
[Message part 1 (text/plain, inline)]
also sprach Henrique de Moraes Holschuh <hmh@debian.org> [2009.04.17.0608 +0200]:
> You have to get the HAL source code, look at its input helper, and
> WRITE the code to do it.  It just plain CANNOT do anything useful
> with input events right now.

So essentially the oh-so-typical FLOSS development thing happened:
someone decided that a working method is deprecated and just turns
it off without even checking whether the functionality can be
replaced by anything else.

Where do we place our priorities again? I thought it was *users*. :)

Thanks, Gregor for bootstrapping my HAL experience. I have that much
working. But I really don't want to add an xkb symbol to trigger my
*window manager* to call a script which invokes sudo to toggle my
wifi on/off.

/me frowns

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"i think, therefore i'm single"
                                                      -- lizz winstead
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 20 Apr 2009 21:27:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 20 Apr 2009 21:27:25 GMT) Full text and rfc822 format available.

Message #62 received at 521280@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: gregor herrmann <gregoa@debian.org>, 521280@bugs.debian.org
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Mon, 20 Apr 2009 18:23:40 -0300
On Mon, 20 Apr 2009, martin f krafft wrote:
> also sprach Henrique de Moraes Holschuh <hmh@debian.org> [2009.04.17.0608 +0200]:
> > You have to get the HAL source code, look at its input helper, and
> > WRITE the code to do it.  It just plain CANNOT do anything useful
> > with input events right now.
> 
> So essentially the oh-so-typical FLOSS development thing happened:
> someone decided that a working method is deprecated and just turns
> it off without even checking whether the functionality can be
> replaced by anything else.

All I know is that it is deprecated for two years(!) now in the kernel at
large, and that thinkpad-acpi is the only driver that used acpi events for
hotkeys in the first place (everything else, AFAIK, uses only input
devices).  I might be wrong on this one, if you know of other drivers that
also issued acpi events for hotkeys, please do tell.

That should teach me about just how much of a single-user
X-desktop-environment-driven coolaid that people is driking... I should have
tried to replace acpid with hal two years ago and raised a ruckus at that
time.

I dare say that _this_ time, it was not a matter of yanking the carpet
behind people's feet, but rather of people sleeping on their feet until the
time ran out, then scrambling to fix the fallout when it became clear that
there was a fallout to deal with :-(

There will be another one when /proc/acpi beats the dust.  You have been
warned.

> Where do we place our priorities again? I thought it was *users*. :)

Mine are on doing things correctly, actually.  If I have to chose between
the users or maintaining crap that will haunt me on the years to come, the
users will lose.

But that's not what happened here.  Not with a *two year* time window.  What
happened is that we do not pay proper attention to our system-wide
infrastructure anymore.  Everything is user-session-this,
desktop-environment-that nowadays.  So, nobody noticed the gaping lack of
key functionality in HAL (and since I don't like HAL very much, I didn't
notice it either).

> Thanks, Gregor for bootstrapping my HAL experience. I have that much
> working. But I really don't want to add an xkb symbol to trigger my
> *window manager* to call a script which invokes sudo to toggle my
> wifi on/off.

I don't like that, either.  I am a heavy user of system-wide stuff called by
hotkeys :)

That said, check rfkill-input.  It might, if you're lucky, take care of your
WiFi on/off needs.  Just make sure to issue KEY_WIFI instead of
KEY_BLUETOOTH (it can't drive more than one type because there is no such a
key defined).

If you want to propose a KEY_RFKILLTOGGLEALL to the kernel people, I will
second you on that one :-)

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Tue, 21 Apr 2009 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Tue, 21 Apr 2009 17:51:02 GMT) Full text and rfc822 format available.

Message #67 received at 521280@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: martin f krafft <madduck@debian.org>, 521280@bugs.debian.org
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Tue, 21 Apr 2009 19:48:44 +0200
[Message part 1 (text/plain, inline)]
On Mon, 20 Apr 2009 18:23:40 -0300, Henrique de Moraes Holschuh wrote:

> > So essentially the oh-so-typical FLOSS development thing happened:
> > someone decided that a working method is deprecated and just turns
> > it off without even checking whether the functionality can be
> > replaced by anything else.

I had the same feeling, too, or at least that the shiny new stuff
(HAL) has room for improvement in documentation ...
 
> All I know is that it is deprecated for two years(!) now in the kernel at
> large, and that thinkpad-acpi 

Sure; it was, at least for me, a bad coincidence, that both 2.6.29
and x.org 7.4 entered unstable at roughly the same time and quite
some stuff was not (or not the same) working as before.

> > Where do we place our priorities again? I thought it was *users*. :)

At least not users of unstable :)
 
> What
> happened is that we do not pay proper attention to our system-wide
> infrastructure anymore.  Everything is user-session-this,
> desktop-environment-that nowadays.  

I completely agree. When I tried to get at least a basic
understanding of HAL I very often hit instructions like "and then
(gnome,kde,whatever)-FOO-daemon will take care of the rest" or "and
then just use (gnome,kde,whatever)-config-BAR to configure stuff." --
Good to see I'm not the only one disliking this development :)


Cheers,
gregor
 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Rod Stewart: Smile
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 23 Apr 2009 16:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pelka <tompelka@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 23 Apr 2009 16:54:02 GMT) Full text and rfc822 format available.

Message #72 received at 521280@bugs.debian.org (full text, mbox):

From: Tomas Pelka <tompelka@gmail.com>
To: 521280@bugs.debian.org
Subject: linux-2.6: bluetooth on/off button stopped working on Lenovo Thinkpad
Date: Thu, 23 Apr 2009 18:51:55 +0200
[Message part 1 (text/plain, inline)]
Hi, any progress here?

Im really mad that my acpid don't work properly :(
Is possible that acpi can affect hal too, because from time, that I've
update acpi also hal stop working. Is it possible, or should I start
searching for another problem?

Know somebody, if Debian will start using libnl interface?

Thanks,
best regards
-- 
Tom

Key fingerprint = 06C0 23C6 9EB7 0761 9807  65F4 7F6F 7EAB 496B 28AA
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 24 Apr 2009 16:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 24 Apr 2009 16:06:02 GMT) Full text and rfc822 format available.

Message #77 received at 521280@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 521280@bugs.debian.org
Subject: Re: Bug#521280: how to make acpid react to hotkeys now?
Date: Fri, 24 Apr 2009 16:38:24 +0200
[Message part 1 (text/plain, inline)]
also sprach gregor herrmann <gregoa@debian.org> [2009.04.21.1948 +0200]:
> I completely agree. When I tried to get at least a basic
> understanding of HAL I very often hit instructions like "and then
> (gnome,kde,whatever)-FOO-daemon will take care of the rest" or
> "and then just use (gnome,kde,whatever)-config-BAR to configure
> stuff." -- Good to see I'm not the only one disliking this
> development :)

Fundamentally, HAL is a great idea, as is dbus. Even though we
usually associate them with desktops and new-fangled stuff, both
actually also make sense on a server, where abstracted hardware is
just as useful as a central policy-based routing engine for
messages.

The problem is that you don't *need* those things for servers (yet).
As a result, it's desktop-oriented people who implement the first
versions of these tools, and they have a very different
understanding of needs than people who are used to actually *system*
administration.

I don't want to bitch, but maybe we just need some non-(free)desktop
people to put some love into HAL and give it the ability to do
anything you like, not just generate input events.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"our destiny exercises its influence over us even when, as yet,
 we have not learned its nature; it is our future that lays down the
 law of our today."
                                                 - friedrich nietzsche
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 21 May 2009 12:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Tomanek <stefan@pico.ruhr.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 21 May 2009 12:51:11 GMT) Full text and rfc822 format available.

Message #82 received at 521280@bugs.debian.org (full text, mbox):

From: Stefan Tomanek <stefan@pico.ruhr.de>
To: 521280@bugs.debian.org
Subject: Input daemon supplementing acpid
Date: Thu, 21 May 2009 14:46:11 +0200
I encountered the same problems of losing my system wide hotkeys when upgrading
to 2.6.29.

I created a small perl daemon that uses HAL to watch all available input
devices and wait for certain key events. It's only a quick shot, but polishing
it could yield a nice little tool to handle hotkeys in a global way instead of
relying on the users window manager or desktop environment.

I uploaded magmakey.pl along with an example configuration to my website at
http://stefans.datenbruch.de/magmakey/ - feel free to see whether the script
suits your needs; It needs some polishing though.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 21 May 2009 23:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 21 May 2009 23:57:15 GMT) Full text and rfc822 format available.

Message #87 received at 521280@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Stefan Tomanek <stefan@pico.ruhr.de>, 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Thu, 21 May 2009 16:18:38 +0200
On Thu, May 21, 2009 at 02:46:11PM +0200, Stefan Tomanek wrote:
> I encountered the same problems of losing my system wide hotkeys when upgrading
> to 2.6.29.

On which system are you?

The new acpid is supposed to read the whole input layer, i.e. also the key
events. Having said that, I haven't checked whether hotkeys still create *any*
event in the input layer or where HAL gets its information from.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 21 May 2009 23:57:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 21 May 2009 23:57:27 GMT) Full text and rfc822 format available.

Message #92 received at 521280@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>, 521280@bugs.debian.org
Cc: 521279@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: Bug#521280: acpid does support netlink, so the problem only affects thinkpad-acpi
Date: Thu, 21 May 2009 23:34:54 +0200
On Thu, Mar 26, 2009 at 12:44:32PM -0300, Henrique de Moraes Holschuh wrote:
> never had to look back at, before writing something.  The non-hotkey events
> go over netlink, yes.  But hotkeys go only over the input device, where they
> belong, and there is no driver switch to mess with that.

Could anyone enlighten me please, where these events are to be found? acpid does
not just read the netlink inteface but also the input layer and thus is
*supposed* to also get events coming over an input device. You can use kacpimon
to try it out.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 22 May 2009 01:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Tomanek <stefan@pico.ruhr.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 22 May 2009 01:12:02 GMT) Full text and rfc822 format available.

Message #97 received at 521280@bugs.debian.org (full text, mbox):

From: Stefan Tomanek <stefan@pico.ruhr.de>
To: Michael Meskes <meskes@debian.org>
Cc: 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Fri, 22 May 2009 03:10:26 +0200
Dies schrieb Michael Meskes (meskes@debian.org):

> On Thu, May 21, 2009 at 02:46:11PM +0200, Stefan Tomanek wrote:
> > I encountered the same problems of losing my system wide hotkeys when upgrading
> > to 2.6.29.
> 
> On which system are you?
> 
> The new acpid is supposed to read the whole input layer, i.e. also the key
> events. Having said that, I haven't checked whether hotkeys still create *any*
> event in the input layer or where HAL gets its information from.

acpid does indeed poll the input layer when started with -n, however, I wasn't
able to make it react to arbitrary key events. I suppose the daemon only
handles ACPI events, but since 2.6.29 the thinkpad hotkeys that formerly
triggered ACPI messages are handing out ordinary key presses, hiding from acpid.

Please correct me if I'm wrong about that.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 22 May 2009 02:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 22 May 2009 02:36:03 GMT) Full text and rfc822 format available.

Message #102 received at 521280@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Stefan Tomanek <stefan@pico.ruhr.de>
Cc: Michael Meskes <meskes@debian.org>, 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Fri, 22 May 2009 04:33:27 +0200
On Fri, May 22, 2009 at 03:10:26AM +0200, Stefan Tomanek wrote:
> acpid does indeed poll the input layer when started with -n, however, I wasn't
> able to make it react to arbitrary key events. I suppose the daemon only
> handles ACPI events, but since 2.6.29 the thinkpad hotkeys that formerly
> triggered ACPI messages are handing out ordinary key presses, hiding from acpid.
> 
> Please correct me if I'm wrong about that.

Does kacpimon display the hotkey event?

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 22 May 2009 02:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Tomanek <stefan@pico.ruhr.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 22 May 2009 02:42:02 GMT) Full text and rfc822 format available.

Message #107 received at 521280@bugs.debian.org (full text, mbox):

From: Stefan Tomanek <stefan@pico.ruhr.de>
To: Michael Meskes <meskes@debian.org>
Cc: 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Fri, 22 May 2009 04:40:01 +0200
Dies schrieb Michael Meskes (meskes@debian.org):

> On Fri, May 22, 2009 at 03:10:26AM +0200, Stefan Tomanek wrote:
> > acpid does indeed poll the input layer when started with -n, however, I wasn't
> > able to make it react to arbitrary key events. I suppose the daemon only
> > handles ACPI events, but since 2.6.29 the thinkpad hotkeys that formerly
> > triggered ACPI messages are handing out ordinary key presses, hiding from acpid.
> > 
> > Please correct me if I'm wrong about that.
> 
> Does kacpimon display the hotkey event?

It does, but it does display _every_ input event on the system, not only ACPI
related ones.

So even if kacpimon does display them, I haven't found out how to handle the
events using acpid - that's why I wrote the hotkey daemon.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 22 May 2009 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 22 May 2009 17:33:02 GMT) Full text and rfc822 format available.

Message #112 received at 521280@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Stefan Tomanek <stefan@pico.ruhr.de>
Cc: Michael Meskes <meskes@debian.org>, 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Fri, 22 May 2009 16:16:44 +0200
On Fri, May 22, 2009 at 04:40:01AM +0200, Stefan Tomanek wrote:
> It does, but it does display _every_ input event on the system, not only ACPI
> related ones.

Right, that's how it's supposed to work.

> So even if kacpimon does display them, I haven't found out how to handle the
> events using acpid - that's why I wrote the hotkey daemon.

I'd prefer to figure out why acpid is not reacting to that event. This is not
meant to diminish your effort, but I'd prefer to not have yet another daemon
running.

Michael

-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Fri, 22 May 2009 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Tomanek <stefan@pico.ruhr.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Fri, 22 May 2009 20:06:05 GMT) Full text and rfc822 format available.

Message #117 received at 521280@bugs.debian.org (full text, mbox):

From: Stefan Tomanek <stefan@pico.ruhr.de>
To: Michael Meskes <meskes@debian.org>
Cc: 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Fri, 22 May 2009 21:59:44 +0200
Dies schrieb Michael Meskes (meskes@debian.org):

> > So even if kacpimon does display them, I haven't found out how to handle the
> > events using acpid - that's why I wrote the hotkey daemon.
> 
> I'd prefer to figure out why acpid is not reacting to that event. This is not
> meant to diminish your effort, but I'd prefer to not have yet another daemon
> running.

I think acpid does not react to EV_KEY events - and it also does not support
hotplugging, so it won't detect an USB keyboard added to the system after boot.

If all ACPI events are also transported through the input layer (like the POWER
button), I wonder if its not even easier to abandon acpid in favour of a more
generic input-event daemon than to introduce acpid to hal and rest of the
hotplugging infrastructure.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Sat, 23 May 2009 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Sat, 23 May 2009 02:57:03 GMT) Full text and rfc822 format available.

Message #122 received at 521280@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Michael Meskes <meskes@debian.org>
Cc: 521280@bugs.debian.org, 521279@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: Bug#521280: acpid does support netlink, so the problem only affects thinkpad-acpi
Date: Fri, 22 May 2009 23:53:20 -0300
On Thu, 21 May 2009, Michael Meskes wrote:
> On Thu, Mar 26, 2009 at 12:44:32PM -0300, Henrique de Moraes Holschuh wrote:
> > never had to look back at, before writing something.  The non-hotkey events
> > go over netlink, yes.  But hotkeys go only over the input device, where they
> > belong, and there is no driver switch to mess with that.
> 
> Could anyone enlighten me please, where these events are to be found? acpid does
> not just read the netlink inteface but also the input layer and thus is
> *supposed* to also get events coming over an input device. You can use kacpimon
> to try it out.

I very much doubt it processes input events like KEY_FN_F1, or
KEY_BLUETOOTH by default...  and it shouldn't, either.  No bugs on acpid
here.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 25 May 2009 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 25 May 2009 10:24:30 GMT) Full text and rfc822 format available.

Message #127 received at 521280@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Stefan Tomanek <stefan@pico.ruhr.de>
Cc: Michael Meskes <meskes@debian.org>, 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: Input daemon supplementing acpid
Date: Mon, 25 May 2009 05:32:06 +0200
On Fri, May 22, 2009 at 09:59:44PM +0200, Stefan Tomanek wrote:
> I think acpid does not react to EV_KEY events - and it also does not support
> hotplugging, so it won't detect an USB keyboard added to the system after boot.

It does, but only to a few. Afair there's a list in the netlink patch that
lists the events acpid reacts on. You might want to look into input_layer.c
which is created by the patch.

> If all ACPI events are also transported through the input layer (like the POWER
> button), I wonder if its not even easier to abandon acpid in favour of a more

No, I think only the key events are.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 08 Jun 2009 21:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 08 Jun 2009 21:06:05 GMT) Full text and rfc822 format available.

Message #132 received at 521280@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: gregor herrmann <gregoa@debian.org>, 521280@bugs.debian.org
Subject: hal event processor (was: Bug#521280: how to make acpid react to hotkeys now?)
Date: Mon, 8 Jun 2009 23:04:49 +0200
[Message part 1 (text/plain, inline)]
also sprach Henrique de Moraes Holschuh <hmh@debian.org> [2009.04.17.0608 +0200]:
> > I'm using xbindkeys at the moment, but something that's independent
> > from X and a specific user would indeed be nice. Unfortunately I
> > haven't found out yet if and how HAL can call events on keypresses
> 
> You have to get the HAL source code, look at its input helper, and WRITE
> the code to do it.  It just plain CANNOT do anything useful with input
> events right now.

There's halevt, and I can make it exec() something upon keypress,
but during a cursory look, I could not find a way to distinguish
between the different keys.

halevt is nice though, as it allows system and per-user execution.
That should finally get rid of all the sudo/su -c magic required to
make the system do root operations like enabling wifi, as well as
user configurations such as blanking the X display.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"wer schmetterlinge lachen hört,
 der weiss wie wolken schmecken."
                                  -- freiherr friedrich von hardenberg
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 08 Jun 2009 21:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 08 Jun 2009 21:36:02 GMT) Full text and rfc822 format available.

Message #137 received at 521280@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: gregor herrmann <gregoa@debian.org>, 521280@bugs.debian.org
Subject: Re: hal event processor (was: Bug#521280: how to make acpid react to hotkeys now?)
Date: Mon, 8 Jun 2009 23:25:54 +0200
[Message part 1 (text/plain, inline)]
also sprach martin f krafft <madduck@debian.org> [2009.06.08.2304 +0200]:
> There's halevt, and I can make it exec() something upon keypress,
> but during a cursory look, I could not find a way to distinguish
> between the different keys.

#524299

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"our destiny exercises its influence over us even when, as yet,
 we have not learned its nature; it is our future that lays down the
 law of our today."
                                                 - friedrich nietzsche
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 13 Jul 2009 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 13 Jul 2009 21:15:04 GMT) Full text and rfc822 format available.

Message #142 received at 521280@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 521280@bugs.debian.org
Subject: Re: Bug#521280: doesn't seem to affect thinkpad-acpi only
Date: Mon, 13 Jul 2009 23:12:00 +0200
Hi,

I am having similar problems with this issue. We are running Lenny
5.0.2 on several dozen clients and have backported kernel 2.6.30 from
unstable to get better hardware support.

Now, since CONFIG_ACPI_PROC_EVENT has been disabled with 2.6.29 and
above, the power button has stopped working on our desktop
machines. As far as I have understood this issue, acpid is moving from
the proc-interface to some hal/input-layer related model and thus the
Debian kernel-team has dropped CONFIG_ACPI_PROC_EVENT.

I have tested with both a machine running unstable with latest package
base and our Lenny clients with just the backported kernel and old
acpid.

Can someone enlighten me how I can fix this ? Where should I watch for
events generated by the power button now ?



Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 19 Oct 2009 15:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Braumann <harry@unheit.net>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 19 Oct 2009 15:42:07 GMT) Full text and rfc822 format available.

Message #147 received at 521280@bugs.debian.org (full text, mbox):

From: Harald Braumann <harry@unheit.net>
To: 521280@bugs.debian.org
Subject: Re: Bug#521280: doesn't seem to affect thinkpad-acpi only
Date: Mon, 19 Oct 2009 17:35:33 +0200
[Message part 1 (text/plain, inline)]
Hi,

acpid in principle supports button events from the input layer. The
problem is just, that the necessary events are not defined. This is
from Debian's acpid (1.0.10-2) in file input_layer.c:

static struct evtab_entry evtab[] = {
        {{{0,0}, EV_KEY, KEY_POWER, 1}, "button/power PBTN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_SLEEP, 1}, "button/sleep SBTN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_SUSPEND, 1}, 
                "button/suspend SUSP 00000080 00000000"},
        {{{0,0}, EV_SW, SW_LID, 1}, "button/lid LID close"},
        {{{0,0}, EV_SW, SW_LID, 0}, "button/lid LID open"}
};

I've recorded all the button events when the Fn key is pressed on my
Thinkpad T42p and also merged events found in the version here:
http://www.tedfelix.com/linux/acpid-netlink.html

With these additions, acpid is able to listen to all Fn button events.
So acpid should be patched to include these:

static struct evtab_entry evtab[] = {
	{{{0,0}, EV_KEY, KEY_POWER, 1}, "button/power PBTN 00000080 00000000"},
	{{{0,0}, EV_KEY, KEY_SLEEP, 1}, "button/sleep SBTN 00000080 00000000"},
	{{{0,0}, EV_KEY, KEY_SUSPEND, 1}, "button/suspend SUSP 00000080 00000000"},
	{{{0,0}, EV_SW, SW_LID, 1}, "button/lid LID close"},
	{{{0,0}, EV_SW, SW_LID, 0}, "button/lid LID open"},
        /* blue access IBM button on Thinkpad T42p*/
        {{{0,0}, EV_KEY, KEY_PROG1, 1}, "button/prog1 PROG1 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_VENDOR, 1}, "button/vendor VNDR 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_FN_F1, 1}, "button/fnf1 FNF1 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_FN_F2, 1}, "button/fnf2 FNF2 00000080 00000000"},
        /* Fn-F2 produces KEY_BATTERY on Thinkpad T42p */
        {{{0,0}, EV_KEY, KEY_BATTERY, 1}, "button/battery BAT 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_SCREENLOCK, 1}, "button/screenlock SCRLCK 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_COFFEE, 1}, "button/coffee CFEE 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_SLEEP, 1}, "button/sleep SBTN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_WLAN, 1}, "button/wlan WLAN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_FN_F6, 1}, "button/fnf6 FNF6 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_SWITCHVIDEOMODE, 1}, "button/videomode VMOD 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_FN_F9, 1}, "button/fnf9 FNF9 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_FN_F10, 1}, "button/fnf10 FNF10 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_FN_F11, 1}, "button/fnf11 FNF11 00000080 00000000"},
        /* Fn-F9 produces KEY_F24 on Thinkpad T42p */
        {{{0,0}, EV_KEY, KEY_F24, 1}, "button/fnf24 FNF24 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_SUSPEND, 1}, "button/suspend SUSP 00000080 00000000"},
        {{{0,0}, EV_MSC, 4, 12}, "button/fnbs FNBS 00000080 00000000"},
        {{{0,0}, EV_MSC, 4, 13}, "button/fnins FNINS 00000080 00000000"},
        {{{0,0}, EV_MSC, 4, 14}, "button/fndel FNDEL 00000080 00000000"},
        {{{0,0}, EV_MSC, 4, 18}, "button/fnpgdown FNPGDOWN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_ZOOM, 1}, "button/zoom ZOOM 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_BRIGHTNESSDOWN, 1}, "button/brightnessdown BRTDN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_BRIGHTNESSUP, 1}, "button/brightnessup BRTUP 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_KBDILLUMTOGGLE, 1}, "button/kbdillumtoggle KBILLUM 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_VOLUMEDOWN, 1}, "button/volumedown VOLDN 00000080 00000000"},
        {{{0,0}, EV_KEY, KEY_VOLUMEUP, 1}, "button/volumeup VOLUP 00000080 00000000"},
        /* mute button produces KEY_MIN_INTERESTING on Thinkpad T42p */
        {{{0,0}, EV_KEY, KEY_MIN_INTERESTING, 1}, "button/mininteresting MININT 00000080 00000000"}
};

Other models might produce different events. They can all be found with
`input-events' from the input-utils package. To find the device to
listen on, call lsinput and look for the right one. For instance mine
shows:

# lsinput
...
/dev/input/event6
   bustype : BUS_HOST
   vendor  : 0x1014
   product : 0x5054
   version : 16641
   name    : "ThinkPad Extra Buttons"
   phys    : "thinkpad_acpi/input0"
   bits ev : EV_SYN EV_KEY EV_MSC
...

So I would call `input-events 6'

Cheers,
harry
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 19 Oct 2009 16:30:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Braumann <harry@unheit.net>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 19 Oct 2009 16:30:44 GMT) Full text and rfc822 format available.

Message #152 received at 521280@bugs.debian.org (full text, mbox):

From: Harald Braumann <harry@unheit.net>
To: 521280@bugs.debian.org
Subject: Re: Bug#521280: doesn't seem to affect thinkpad-acpi only
Date: Mon, 19 Oct 2009 18:23:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

I think an even better solution for button events would be for acpid to
support arbitrary events. Details can be found in a bug report I
created upstream:
https://sourceforge.net/tracker/?func=detail&aid=2881849&group_id=33140&atid=407344.

Cheers,
harry
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Sun, 08 Nov 2009 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Braumann <harry@unheit.net>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Sun, 08 Nov 2009 16:39:03 GMT) Full text and rfc822 format available.

Message #157 received at 521280@bugs.debian.org (full text, mbox):

From: Harald Braumann <harry@unheit.net>
To: 521280@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#521280: doesn't seem to affect thinkpad-acpi only
Date: Sun, 8 Nov 2009 17:26:09 +0100
[Message part 1 (text/plain, inline)]
tags 521280 + patch
thanks

Hi,

another thing that needs to be done is to start acpid with the `-n'
option.

Attached is a patch for the acpid source package that adds the
necessary definitions to input_layer.c and sets the `-n' option in
acpid.default.

Please apply this patch, as acpid is currently broken.

Cheers,
harry
[fix_input_events.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Harald Braumann <harry@unheit.net> to control@bugs.debian.org. (Sun, 08 Nov 2009 16:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Mon, 09 Nov 2009 09:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 09 Nov 2009 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 09 Nov 2009 10:27:03 GMT) Full text and rfc822 format available.

Message #166 received at 521280@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Harald Braumann <harry@unheit.net>, 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: doesn't seem to affect thinkpad-acpi only
Date: Mon, 9 Nov 2009 09:56:03 +0100
Hi,

> another thing that needs to be done is to start acpid with the `-n'
> option.

Why? Please note that teh netlink interface is always used as a fallbac if the
proc interface is not available. The "-n" option essantially is not a "use
netlink" option but a "do not use /proc" option.

> Attached is a patch for the acpid source package that adds the
> necessary definitions to input_layer.c and sets the `-n' option in

Thanks for the patch.

Michael

-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo/Skype: michaelmeskes, Jabber: meskes@jabber.org
VfL Borussia! Forca Barca! Go SF 49ers! Use: Debian GNU/Linux, PostgreSQL




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Mon, 09 Nov 2009 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Braumann <harry@unheit.net>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Mon, 09 Nov 2009 14:42:03 GMT) Full text and rfc822 format available.

Message #171 received at 521280@bugs.debian.org (full text, mbox):

From: Harald Braumann <harry@unheit.net>
To: 521280@bugs.debian.org
Subject: Re: [Pkg-acpi-devel] Bug#521280: doesn't seem to affect thinkpad-acpi only
Date: Mon, 9 Nov 2009 15:38:21 +0100
[Message part 1 (text/plain, inline)]
On Mon, 9 Nov 2009 09:56:03 +0100
Michael Meskes <meskes@debian.org> wrote:

> Hi,
> 
> > another thing that needs to be done is to start acpid with the `-n'
> > option.
> 
> Why? Please note that teh netlink interface is always used as a
> fallbac if the proc interface is not available. The "-n" option
> essantially is not a "use netlink" option but a "do not use /proc"
> option.

My mistake. I didn't realise I had /proc/acpi/event enabled on the
machine I tried this.

harry
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Mon, 09 Nov 2009 15:36:09 GMT) Full text and rfc822 format available.

Notification sent to Bjørn Mork <bjorn@mork.no>:
Bug acknowledged by developer. (Mon, 09 Nov 2009 15:36:09 GMT) Full text and rfc822 format available.

Message #176 received at 521280-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 521280-close@bugs.debian.org
Subject: Bug#521280: fixed in acpid 1.0.10-3
Date: Mon, 09 Nov 2009 15:32:26 +0000
Source: acpid
Source-Version: 1.0.10-3

We believe that the bug you reported is fixed in the latest version of
acpid, which is due to be installed in the Debian FTP archive:

acpid_1.0.10-3.diff.gz
  to main/a/acpid/acpid_1.0.10-3.diff.gz
acpid_1.0.10-3.dsc
  to main/a/acpid/acpid_1.0.10-3.dsc
acpid_1.0.10-3_amd64.deb
  to main/a/acpid/acpid_1.0.10-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521280@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated acpid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Nov 2009 14:46:15 +0100
Source: acpid
Binary: acpid
Architecture: source amd64
Version: 1.0.10-3
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 acpid      - Advanced Configuration and Power Interface event daemon
Closes: 521280 522756 547326 549948
Changes: 
 acpid (1.0.10-3) unstable; urgency=low
 .
   * Made acpid recommend correct version of acpi-support-base.
   * Added missing input defines for Thinkpads. (Closes: #521280) -
     thanks to Harald Braumann <harry@unheit.net>
   * Fixed package description. (Closes: #549948) - thanks to Justin B
     Rye <jbr@edlug.org.uk>
   * Clarify some wording. - thanks to Thiemo Nagel
     <thiemo.nagel@ph.tum.de>
   * Bumped Standards-Version to 3.8.3, no changes needed.
   * Fix some lintian warnings.
   * Updated list of power managers. (Closes: #547326)
   * Stopping for single user mode could be done by sendsigs as well.
   * Updated to netlink patch to version 1.0.10-netlink5. (Closes:
     #522756)
Checksums-Sha1: 
 58d00fd92498b7f1707e6ab60c95e3856460a30b 1273 acpid_1.0.10-3.dsc
 61567a8504253dabf3139e81807e4821f5f63a1a 37305 acpid_1.0.10-3.diff.gz
 78736158c27603784c408ef638451e3f89d69515 48168 acpid_1.0.10-3_amd64.deb
Checksums-Sha256: 
 7965352b0349539bef809b6d0778782bf0edfe62dd84f9e06ec7ffa640e7a91c 1273 acpid_1.0.10-3.dsc
 e9e9c4a669b4fbcd2b51adce534179de78151154e90b6d41605a12aa64b5cd41 37305 acpid_1.0.10-3.diff.gz
 4a5bc3c9ae5f3c1fb826e04228db2b597b43835606495e7671a5a8e0a8fc27ab 48168 acpid_1.0.10-3_amd64.deb
Files: 
 ac42c88b4f994de5ea75afcc4f799bac 1273 admin optional acpid_1.0.10-3.dsc
 be29d1dbee4e4483dbadb1c6dc3d5883 37305 admin optional acpid_1.0.10-3.diff.gz
 4d97c1cdff8d8e883b17a8472947f0f7 48168 admin optional acpid_1.0.10-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK+B2iVkEm8inxm9ERAtXbAJ0cU3fEg3Foud3I/9RCUYxU/YY1NQCfXQ/U
ilKNGL4V19DmAS+2DiLpjSQ=
=v4xO
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#521280; Package acpid. (Thu, 12 Nov 2009 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Russo <russor_work@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Thu, 12 Nov 2009 06:12:03 GMT) Full text and rfc822 format available.

Message #181 received at 521280@bugs.debian.org (full text, mbox):

From: Richard Russo <russor_work@yahoo.com>
To: 521280@bugs.debian.org
Subject: acpid 1.0.10-3 causes infinite video reconfig loop on latitude d520 after hitting video button
Date: Wed, 11 Nov 2009 21:59:56 -0800 (PST)
I believe this change is causing new problems for me.  I've got a Dell latitude d520, and with acpid 1.0.10-3, I'm seeing an infinite loop of acpi video button events if i hit the video button or after a lid event.

It seems like this is an interaction with the acpi-support package's /etc/acpi/videobtn.sh, which calls acpi_fakekey $KEY_VIDEOOUT, which seems to cause an acpi event. This results in my machine basically becoming unusable.

Additionally, I'm getting a lot of odd events in acpi_listen which I didn't before.

For example, hitting the 'e' key on my keyboard (which is not a special ke at all) shows an "button/fnpgdown FNPGDOWN 00000080 00000000" event, backspace, - and + show up as FNDEL, FNBS, and FNINS respectively.

Can the thinkpad specific options be enabled with a flag, and/or with thinkpad detection?

Thanks,

Richard




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Dec 2009 07:41:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:08:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.